
package cn.orionsec.ops.service.impl;

import cn.orionsec.ops.constant.alarm.AlarmGroupNotifyType;
import cn.orionsec.ops.dao.AlarmGroupNotifyDAO;
import cn.orionsec.ops.entity.domain.AlarmGroupNotifyDO;
import cn.orionsec.ops.service.api.AlarmGroupNotifyService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("alarmGroupNotifyService")
public class AlarmGroupNotifyServiceImpl implements AlarmGroupNotifyService {

    @Resource
    private AlarmGroupNotifyDAO alarmGroupNotifyDAO;

    @Override
    public List<AlarmGroupNotifyDO> selectByGroupId(Long groupId) {
        LambdaQueryWrapper<AlarmGroupNotifyDO> wrapper = new LambdaQueryWrapper<AlarmGroupNotifyDO>()
                .eq(AlarmGroupNotifyDO::getGroupId, groupId);
        return alarmGroupNotifyDAO.selectList(wrapper);
    }

    @Override
    public List<AlarmGroupNotifyDO> selectByGroupIdList(List<Long> groupIdList) {
        LambdaQueryWrapper<AlarmGroupNotifyDO> wrapper = new LambdaQueryWrapper<AlarmGroupNotifyDO>()
                .in(AlarmGroupNotifyDO::getGroupId, groupIdList);
        return alarmGroupNotifyDAO.selectList(wrapper);
    }

    @Override
    public Integer deleteByGroupId(Long groupId) {
        LambdaQueryWrapper<AlarmGroupNotifyDO> wrapper = new LambdaQueryWrapper<AlarmGroupNotifyDO>()
                .eq(AlarmGroupNotifyDO::getGroupId, groupId);
        return alarmGroupNotifyDAO.delete(wrapper);
    }

    @Override
    public Integer deleteByWebhookId(Long webhookId) {
        LambdaQueryWrapper<AlarmGroupNotifyDO> wrapper = new LambdaQueryWrapper<AlarmGroupNotifyDO>()
                .eq(AlarmGroupNotifyDO::getNotifyId, webhookId)
                .eq(AlarmGroupNotifyDO::getNotifyType, AlarmGroupNotifyType.WEBHOOK.getType());
        return alarmGroupNotifyDAO.delete(wrapper);
    }

}
